Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# cat::AutoArray< T > Class Template Reference

`#include <Types.h>`

List of all members.

## Public Member Functions
| AutoArray (T *c_ptr)
| ~AutoArray ()
INLINE void | cancel ()
## Private Attributes
T * | ptr

### template<class T>
class cat::AutoArray< T >

## Constructor & Destructor Documentation

template<class T>
cat::AutoArray< T >::AutoArray | ( | T * | c_ptr | ) | `[inline]`

template<class T>
cat::AutoArray< T >::~AutoArray | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
INLINE void cat::AutoArray< T >::cancel | ( |  | ) | `[inline]`

## Member Data Documentation

template<class T>
T* cat::AutoArray< T >::ptr`[private]`

The documentation for this class was generated from the following file:

- Projects/raknet/include/raknet/Types.h